Bug 60714 - changing file associations from the change option of add/remove programs doesn't work
Summary: changing file associations from the change option of add/remove programs does...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 09:07 UTC by pasqual milvaques
Modified: 2013-03-06 12:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pasqual milvaques 2013-02-12 09:07:35 UTC
when you install libreoffice in a windows machine the installer offers you the possibility of selecting it as default program for word, excel, powerpoint and visio files. this is done through a series of checkboxes of the installation menu and works well if you are doing a new libreofice install

if you later change your mind and want an easy way to change your associations you can go to the add/remove programs menu of the control panel, select libreoffice and click on the change option to install/uninstall components or have access again to the checkboxes for changing the file associations but changing associations this way doesn't seem to have any effect. it doesn't work and no association is changed regardless of the chosen options

tested in windows xp sp3
Comment 1 Timur 2013-03-04 19:51:12 UTC
I have the same problem with LibO-Dev_4.0.2.0_Win_x86. I tried also with modifying MSI and setting REGISTER_ALL_MSO_TYPES=1 but it didn't work.
Comment 2 Timur 2013-03-05 11:21:52 UTC
There are few methods to provide a proper file associations for the Windows version of Libreoffice.

1. During the command-line installation, which is convenient for mass-scale deployment
2. During the GUI installation, selecting file associations works for LibreOffice, but doesn't work for LOdev - should a new bug be filed or this can be handled in the existing bugs, such as Bug 60714?
3. Modifying the GUI installation, selecting file associations works for LibreOffice 3.6.5.2 and 4.0.1.2, but doesn't work for LOdev - related to Bug 60714 - changing file associations from the change option of add/remove programs doesn't work - so this bug should relate to LOdev only
4. Using Windows 7 Default Programs option in Control Panel is possible for LibreOffice 3.6.5.2 and 4.0.1.2 because they are registered, but it's not possible for LOdev because it's not. - related to Bug 43519 - Cannot set default file associations - I don't have Vista, but it should be same as 7. I think this bug should relate to LOdev only.
5. From within LibreOffice - not possible, and requested in Bug 44462 - Provide a proper 'File Association Manager' for the windows version of Libreoffice 

LibreOffice is found in HKEY_LOCAL_MACHINE\SOFTWARE\RegisteredApplications or HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\RegisteredApplications while LOdev is not.
Comment 3 V Stuart Foote 2013-03-05 17:25:31 UTC
(In reply to comment #0)
> if you later change your mind and want an easy way to change your
> associations...click on the change option to
> install/uninstall components or have access again to the checkboxes for
> changing the file associations but changing associations this way doesn't
> seem to have any effect. it doesn't work and no association is changed

What you appear to be requesting is an enhancement to the LibreOffice installer package to support a change logic to make adjustments the Windows registry file associations.

Confirm your observation, but I would not expect an Add/Remove program > Modify and rerun of the installer to be a preferred method of changing file association. Nor would I call it an easier method.

Otherwise does your XP system otherwise change program association from the Open With dialog, or the Folder Options > File types correctly change the file association?

Changing this to an enhancement request. But let us know if you are otherwise functional for existing file association changes with XP.
Comment 4 pasqual milvaques 2013-03-06 08:33:08 UTC
From my point of view is not a question about if Add/Remove program > Modify can  be the preferred method of changing file association. the question es that this option exists now and is malfunctioning. 
of course there are another forms of changing associations but requires changing them for each type of file (csv, xls, xlsx, xlt, xltx, doc, dot, docx, dotx, etc). changing them with the installer it's faster and cleaner (you can be sure you didn't forget any)
Comment 5 Timur 2013-03-06 09:32:41 UTC
> 3. Modifying the GUI installation, selecting file associations works for
> LibreOffice 3.6.5.2 and 4.0.1.2, but doesn't work for LOdev - related to Bug
> 60714 - changing file associations from the change option of add/remove
> programs doesn't work - so this bug should relate to LOdev only

From my testing, changing file associations from the change option of add/remove programs DOES work on Windows 7 both for LibreOffice 3.6.5.2 and 4.0.1.2, DOES work on Windows XP for LibreOffice 4.0.1.2 but DOESN'T work on XP for 3.6.5.2.
So, taking into account this and that LO 4 is already out, I don't find it should be fixed now for 3.6. only for XP. 
I recommend it be further tested and marked as WONTFIX.
Comment 6 pasqual milvaques 2013-03-06 10:09:55 UTC
I agree, both Windows xp and LibreOffice 3.6 are almost EOL so it's not a priority to solve this if it's working with Windows 7 and/or LibreOffice 4.0.1
Comment 7 Timur 2013-03-06 12:31:46 UTC
Just for the sake of efficiency, I close as suggested. 
Should you find it inappropriate, please reopen.